# Uses of Class
net.shibboleth.idp.authn.spnego.impl.KerberosRealmSettings

Packages that use KerberosRealmSettings
Package
Description
net.shibboleth.idp.authn.spnego.impl
Implementation of SPNEGO authentication flow.

## Uses of KerberosRealmSettings in net.shibboleth.idp.authn.spnego.impl

Fields in net.shibboleth.idp.authn.spnego.impl declared as KerberosRealmSettings
Modifier and Type
Field
Description
`private KerberosRealmSettings`
GSSAcceptorLoginModule.`realm`
The realm settings.
Fields in net.shibboleth.idp.authn.spnego.impl with type parameters of type KerberosRealmSettings
Modifier and Type
Field
Description
`private Collection<KerberosRealmSettings>`
KerberosSettings.`realmSettings`
List of realms (KerberosRealmSettings objects).
Methods in net.shibboleth.idp.authn.spnego.impl that return types with arguments of type KerberosRealmSettings
Modifier and Type
Method
Description
`Collection<KerberosRealmSettings>`
KerberosSettings.`getRealms()`
Get list of realms.
Methods in net.shibboleth.idp.authn.spnego.impl with parameters of type KerberosRealmSettings
Modifier and Type
Method
Description
`private void`
GSSContextAcceptor.`createGSSContext(KerberosRealmSettings realm)`
Establish initial server credentials and create a GSS acceptor context based on then.
Method parameters in net.shibboleth.idp.authn.spnego.impl with type arguments of type KerberosRealmSettings
Modifier and Type
Method
Description
`void`
KerberosSettings.`setRealms(Collection<KerberosRealmSettings> realms)`
Collection of realms (KerberosRealmSettings objects).
Constructors in net.shibboleth.idp.authn.spnego.impl with parameters of type KerberosRealmSettings
Modifier
Constructor
Description
``
`GSSAcceptorLoginModule(KerberosRealmSettings realmSettings, boolean refreshKrb5Config, String loginModuleClassName)`
Constructor.